Package org.apache.wiki

# Class ProductUpdateChecker

java.lang.Object
org.apache.wiki.ProductUpdateChecker

All Implemented Interfaces:
  `Runnable`

public final class ProductUpdateChecker extends Object implements Runnable
At server start up and once a day (if enabled), this component will check for an updated WAR file via maven central's APIs. The notification of the update will then be disabled to users with admin permissions near the user preference/login/out menu. It's usage does require internet access, so if you're not internet connected, or cannot reach search.maven.org it won't do you much good. It can be disabled via jspwiki properties.

Since:
  3.0.0

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`ProductUpdateChecker.Status`
`static class`
`ProductUpdateChecker.UpdateStatus`

## Method Summary

Modifier and Type
Method
Description
`static ProductUpdateChecker`
`getInstance()`
if the service is disabled, this will return null
`ProductUpdateChecker.UpdateStatus`
`getUpdateStatus()`
`static void`
`initialize(Properties props)`
`void`
`run()`
`void`
`shutdown()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### initialize

public static void initialize(Properties props)

### getInstance

public static ProductUpdateChecker getInstance()
if the service is disabled, this will return null

Returns:

### run

public void run()

Specified by:
  `run` in interface `Runnable`

### getUpdateStatus

public ProductUpdateChecker.UpdateStatus getUpdateStatus()

### shutdown

public void shutdown()